/***********************************************************
 * $Id: LogMessage.java 922 2013-11-28 14:18:52Z util $
 * 
 * scheduler utilities of the clazzes.org project
 * http://www.clazzes.org
 *
 * Created: 28.11.2013
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 ***********************************************************/

package org.clazzes.util.sched.api;

import java.io.Serializable;

/**
 * A log message with a priority.
 */
public class LogMessage implements Serializable {

	private static final long serialVersionUID = 4527751508598121850L;

	private LogPriority priority;
	private long timestamp;
	private String message;
	
	public LogPriority getPriority() {
		return this.priority;
	}
	public void setPriority(LogPriority priority) {
		this.priority = priority;
	}
	public long getTimestamp() {
		return this.timestamp;
	}
	public void setTimestamp(long timestamp) {
		this.timestamp = timestamp;
	}
	public String getMessage() {
		return this.message;
	}
	public void setMessage(String message) {
		this.message = message;
	}
	
}
